
/* Function: ajaxReq
 * jQuery function to perform an ajax call to get a html fragment.
 * 
 */

$(function () {
    $('body').on('click', '#dosearch', function (e) {
        e.preventDefault();
        var params = {sourceFile: "", ID: "", X: "", Y: "", Wood: "", Clay: "", Iron: "", Stone: "", Food: "", Terrain: "", Combat: "", Region: ""};
        var form = document.querySelector("#filterParams");
    var inputs = document.querySelectorAll("input[type=text]");
        for (i = 0; i < inputs.length; i++) {
            // Validate the inputs
            thisParam = validateInputs(inputs[i]);
            params[inputs[i].name] = inputs[i].value;
        }
        var loader = document.querySelector("#loader");
        var loaderMessage = "Filtering datafile...";
        loader.querySelectorAll("p")[0].textContent = loaderMessage;
        loader.className = 'see';

        $.ajax({
            url: 'ajaxTest.php',
            type: 'post',
            data: params,
            cache: false,
            success: function (json) {
                var resultArea = document.querySelector("#resultSet");
                loader.className = 'nosee';
                resultArea.innerHTML = json;
            },
            error: function (xhr, desc, err) {
                loader.className = 'nosee';
                console.log(xhr);
                console.log(err);
            }
        }); // end ajax call
    });

    $('body').on('click', '#fileDownload', function (e) {
        e.preventDefault();
        var loader = document.querySelector("#loader");
        var loaderMessage = "Downloading datafile...";
        loader.querySelectorAll("p")[0].textContent = loaderMessage;
        loader.className = 'see';

        $.ajax({
            url: 'getWorldMap.php',
            type: 'post',
            cache: false,
            success: function (data) {
        var loader = document.querySelector("#loader");
        loader.className = 'nosee';

                var resultArea = document.querySelector("#resultSet");
//                resultArea.textContent=json;
//                resultArea.innerHTML = json;

                window.alert(data);
            },
            error: function (xhr, desc, err) {
                console.log(xhr);
                console.log(err);
            }
        }); // end ajax call
    });

});

function init() {
    
    $('body').on('click', '#showRegions', function (e) {
        e.preventDefault();
        document.querySelector("#regionList").className = 'see';
    });
    $('body').on('click', '#acceptRegions', function (e) {
        e.preventDefault();
        parseRegions();
        document.querySelector("#regionList").className = 'nosee';
    });
    $('body').on('click', '#showCombat', function (e) {
        e.preventDefault();
        document.querySelector("#cbtTerrainList").className = 'see';
    });
    $('body').on('click', '#acceptCbt', function (e) {
        e.preventDefault();
        parseCbt();
        document.querySelector("#cbtTerrainList").className = 'nosee';
    });

    $('body').on('click', '#showTerrain', function (e) {
        e.preventDefault();
        document.querySelector("#terrainList").className = 'see';
    });
    $('body').on('click', '#acceptTerrain', function (e) {
        e.preventDefault();
        parseTerrain();
        document.querySelector("#terrainList").className = 'nosee';
    });
    $('body').on('click', '#clearTerrain', function (e) {
        e.preventDefault();
        var inputTable = document.querySelector("#terrainInputs");
        var matches = inputTable.querySelectorAll('[type="checkbox"]');
		for(var i = 0; i < matches.length; i++) {
			matches[i].checked = false;   
		}
    });


    $('body').on('click', '#checkAllPlains', function (e) {
        e.preventDefault();
        var inputTable = document.querySelector("#plainInputs");
		var inputs = inputTable.querySelectorAll("input[type='checkbox']");
		for(var i = 0; i < inputs.length; i++) {
			inputs[i].checked = true;   
		}
    });

    $('body').on('click', '#clearAllPlains', function (e) {
        e.preventDefault();
        var inputTable = document.querySelector("#plainInputs");
		var inputs = inputTable.querySelectorAll("input[type='checkbox']");
        for(var i = 0; i < inputs.length; i++) {
			inputs[i].checked = false;   
		}
    });


    $('body').on('click', '#checkAllBuildings', function (e) {
        e.preventDefault();
        var inputTable = document.querySelector("#buildingInputs");
        var matches = inputTable.querySelectorAll('[type="checkbox"]');
		for(var i = 0; i < matches.length; i++) {
			matches[i].checked = true;   
		}
    });

    $('body').on('click', '#clearAllBuildings', function (e) {
        e.preventDefault();
        var inputTable = document.querySelector("#buildingInputs");
        var matches = inputTable.querySelectorAll('[type="checkbox"]');
		for(var i = 0; i < matches.length; i++) {
			matches[i].checked = false;   
		}
    });

    $('body').on('click', '#checkAllLargeHills', function (e) {
        e.preventDefault();
        var inputTable = document.querySelector("#largeHillInputs");
        var matches = inputTable.querySelectorAll('[type="checkbox"]');
		for(var i = 0; i < matches.length; i++) {
			matches[i].checked = true;   
		}
    });

    $('body').on('click', '#clearAllLargeHills', function (e) {
        e.preventDefault();
        var inputTable = document.querySelector("#largeHillInputs");
        var matches = inputTable.querySelectorAll('[type="checkbox"]');
		for(var i = 0; i < matches.length; i++) {
			matches[i].checked = false;   
		}
    });

    $('body').on('click', '#checkAllSmallHills', function (e) {
        e.preventDefault();
        var inputTable = document.querySelector("#smallHillInputs");
        var matches = inputTable.querySelectorAll('[type="checkbox"]');
		for(var i = 0; i < matches.length; i++) {
			matches[i].checked = true;   
		}
    });
    $('body').on('click', '#clearAllSmallHills', function (e) {
        e.preventDefault();
        var inputTable = document.querySelector("#smallHillInputs");
        var matches = inputTable.querySelectorAll('[type="checkbox"]');
		for(var i = 0; i < matches.length; i++) {
			matches[i].checked = false;   
		}
    });

    $('body').on('click', '#checkAllImpassable', function (e) {
        e.preventDefault();
        var inputTable = document.querySelector("#impassableInputs");
        var matches = inputTable.querySelectorAll('[type="checkbox"]');
		for(var i = 0; i < matches.length; i++) {
			matches[i].checked = true;   
		}
    });
    $('body').on('click', '#clearAllImpassable', function (e) {
        e.preventDefault();
        var inputTable = document.querySelector("#impassableInputs");
        var matches = inputTable.querySelectorAll('[type="checkbox"]');
		for(var i = 0; i < matches.length; i++) {
			matches[i].checked = false;   
		}
    });

    $('body').on('click', '#checkAllLargeMountain', function (e) {
        e.preventDefault();
        var inputTable = document.querySelector("#largeMountainInputs");
        var matches = inputTable.querySelectorAll('[type="checkbox"]');
		for(var i = 0; i < matches.length; i++) {
			matches[i].checked = true;   
		}
    });
    $('body').on('click', '#clearAllLargeMountain', function (e) {
        e.preventDefault();
        var inputTable = document.querySelector("#largeMountainInputs");
        var matches = inputTable.querySelectorAll('[type="checkbox"]');
		for(var i = 0; i < matches.length; i++) {
			matches[i].checked = false;   
		}
    });

    $('body').on('click', '#checkAllSmallMountain', function (e) {
        e.preventDefault();
        var inputTable = document.querySelector("#smallMountainInputs");
        var matches = inputTable.querySelectorAll('[type="checkbox"]');
		for(var i = 0; i < matches.length; i++) {
			matches[i].checked = true;   
		}
    });
    $('body').on('click', '#clearAllSmallMountain', function (e) {
        e.preventDefault();
        var inputTable = document.querySelector("#smallMountainInputs");
        var matches = inputTable.querySelectorAll('[type="checkbox"]');
		for(var i = 0; i < matches.length; i++) {
			matches[i].checked = false;   
		}
    });

    $('body').on('click', '#checkAllLargeForest', function (e) {
        e.preventDefault();
        var inputTable = document.querySelector("#largeForestInputs");
        var matches = inputTable.querySelectorAll('[type="checkbox"]');
		for(var i = 0; i < matches.length; i++) {
			matches[i].checked = true;   
		}
    });
    $('body').on('click', '#clearAllLargeForest', function (e) {
        e.preventDefault();
        var inputTable = document.querySelector("#largeForestInputs");
        var matches = inputTable.querySelectorAll('[type="checkbox"]');
		for(var i = 0; i < matches.length; i++) {
			matches[i].checked = false;   
		}
    });

    $('body').on('click', '#checkAllSmallForest', function (e) {
        e.preventDefault();
        var inputTable = document.querySelector("#smallForestInputs");
        var matches = inputTable.querySelectorAll('[type="checkbox"]');
		for(var i = 0; i < matches.length; i++) {
			matches[i].checked = true;   
		}
    });
    $('body').on('click', '#clearAllSmallForest', function (e) {
        e.preventDefault();
        var inputTable = document.querySelector("#smallForestInputs");
        var matches = inputTable.querySelectorAll('[type="checkbox"]');
		for(var i = 0; i < matches.length; i++) {
			matches[i].checked = false;   
		}
    });

    $('body').on('click', '#checkAllWater', function (e) {
        e.preventDefault();
        var inputTable = document.querySelector("#waterInputs");
        var matches = inputTable.querySelectorAll('[type="checkbox"]');
		for(var i = 0; i < matches.length; i++) {
			matches[i].checked = true;   
		}
    });
    $('body').on('click', '#clearAllWater', function (e) {
        e.preventDefault();
        var inputTable = document.querySelector("#waterInputs");
        var matches = inputTable.querySelectorAll('[type="checkbox"]');
		for(var i = 0; i < matches.length; i++) {
			matches[i].checked = false;   
		}
    });
    
    $('body').on('click', '#checkAllObsidianMountain', function (e) {
        e.preventDefault();
        var inputTable = document.querySelector("#obsidianMountainInputs");
        var matches = inputTable.querySelectorAll('[type="checkbox"]');
		for(var i = 0; i < matches.length; i++) {
			matches[i].checked = true;   
		}
    });
    $('body').on('click', '#clearAllObsidianMountain', function (e) {
        e.preventDefault();
        var inputTable = document.querySelector("#obsidianMountainInputs");
        var matches = inputTable.querySelectorAll('[type="checkbox"]');
		for(var i = 0; i < matches.length; i++) {
			matches[i].checked = false;   
		}
    });
};

function parseTerrain() {
    var dialogForm = document.querySelector("#terrainList");
//    var favDialog = document.getElementById('favDialog');
    var matches = dialogForm.querySelectorAll('[type="checkbox"]:checked');
    var val = [];
    $(matches).each(function (i) {
        val[i] = $(this).val();
    });
    document.getElementsByName("Terrain")[0].value = val.join(",");

    document.querySelector("#terrainList").className = 'nosee';

}
;

function parseCbt() {
    var dialogForm = document.querySelector("#cbtTerrainList");
//    var favDialog = document.getElementById('favDialog');
    var matches = dialogForm.querySelectorAll('[type="checkbox"]:checked');
    var val = [];
    $(matches).each(function (i) {
        val[i] = $(this).val();
    });
    document.getElementsByName("Combat")[0].value = val.join(",");
//    favDialog.close();
    document.querySelector("#cbtTerrainList").className = 'nosee';

}
;

function parseRegions() {
    var dialogForm = document.querySelector("#regionList");
    var favDialog = document.getElementById('favDialog');
    var matches = dialogForm.querySelectorAll('[type="checkbox"]:checked');
    var val = [];
    $(matches).each(function (i) {
        val[i] = $(this).val();
    });
    document.getElementsByName("Region")[0].value = val.join(",");
//    favDialog.close();
    document.querySelector("#regionList").className = 'nosee';
    var dummy = "";
}
;

function validateInputs(param) {
//    var re = /[-0123456789,\.]/;  
//        var OK = re.exec(param);  
//        if (!OK)  
//          window.alert(phoneInput.value + ' isn\'t a phone number with area code!');  
//        else
//          window.alert('Thanks, your phone number is ' + OK[0]);  
//      }  
//$('select').change(function() {
////    $('span').html(
//        this.value.match(/^[+\-0-9(). ]+$/g) !== null ? "Yes" : "No";
////    );
//
//});
//
}